GSTIN Verification Plus

Go beyond standard GSTIN verification with Instantpay's GSTIN Verification Plus API solution. This advanced tool offers additional features to enhance the accuracy and depth of your GST identification number verification. Businesses can access comprehensive details, ensuring a more thorough understanding of the GST registration status.

Integrate GSTIN Verification Plus into your system for an extra layer of verification, minimizing the risk of fraudulent activities. With GST Verification Plus, you can extract not only GST verification data but also Contact Information and Directors of the Company.

Additionally, the API provides details such as Filing Frequency and Company Turnover. This comprehensive information enriches your verification process, allowing for a more robust GST compliance status and overall business profile assessment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code -1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN

Request Parameters

NameTypeMandatory (M) , Optional (O)Description
gstNumberStringMGST Number of Company
externalRefStringMYour Unique Transaction Id
lattitudeStringMEnd Customer Latitude.
longitudeStringMEnd Customer Longitude.

Sample Request

curl --location --request POST 'https://api.instantpay.in/identity/verifyGstin' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "gstNumber":"07ABCDE1234F1Z5",
    "consent":"Y",
   "latitude" : {{$randomLatitude}},
    "longitude" : {{$randomLongitude}},
    "externalRef" : "{{random}}"
}'
POST /identity/verifyGstin HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
     "gstNumber":"07ABCDE1234F1Z5",
    "consent":"Y",
   "latitude" : {{$randomLatitude}},
    "longitude" : {{$randomLongitude}},
    "externalRef" : "{{random}}"
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive/Sandbox
📘

Note :

1- externalRef must be unique and in alpha numeric characters.
2- Latitude and Longitude must be represented in degrees with 4 digits after decimal.

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "gstinPlusData": {
            "aggregateTurnOver": "Slab: Rs. 500 Cr. and above",
            "authorizedSignatory": [
                "John Doe "
            ],
            "businessConstitution": "Public Limited Company",
            "businessNature": [
                "Retail Business",
                "Supplier of Services",
                "Recipient of Goods or Services",
                "Office / Sale Office",
                "Others"
            ],
            "canFlag": "NA",
            "centralJurisdiction": "Commissionerate - GUWAHATI,Division - GUWAHATI I DIVISION,Range - I-A RANGE (Jurisdictional Office)",
            "complianceRating": "NA",
            "contact": {
                "email": "[email protected]",
                "mobileNo": 91XXXXXXXX
            },
            "currentRegistrationStatus": "Active",
            "filingStatus": [
                [
                   
                    {
                        "fy": "2024-2025",
                        "taxp": "Annual",
                        "mof": "ONLINE",
                        "dof": "03/10/2024",
                        "rtntype": "GSTR9C",
                        "arn": "NA",
                        "status": "Filed"
                    },
                    {
                        "fy": "2024-2025",
                        "taxp": "Annual",
                        "mof": "ONLINE",
                        "dof": "26/09/2014",
                        "rtntype": "GSTR9C",
                        "arn": "NA",
                        "status": "Filed"
                    }
                ]
            ],
            "gstin": "07ABCDE1234F1Z5",
            "isFieldVisitConducted": "No",
            "legalName": "ABC XYZ Limited",
            "mandateEInvoice": "Yes",
            "otherBusinessAddress": [
                {
                    "businessNature": "Office / Sale Office, Supplier of Services, Recipient of Goods or Services, Retail Business, Others",
                    "detailedAddress": "sample",
                    "email": "[email protected]",
                    "lastUpdatedDate": "NA",
                    "mobileNo": 91XXXXXXXX,
                    "registeredAddress": "XXXXXXXXX"
                },
                {
                    "businessNature": "Retail Business, Office / Sale Office, Supplier of Services, Recipient of Goods or Services, Others",
                    "detailedAddress": "XXXXXXX",
                    "email": "[email protected]",
                    "lastUpdatedDate": "NA",
                    "mobileNo": 91XXXXXXXX,
                    "registeredAddress": "XXXXXXX"
                },
               
                {
                    "businessNature": "Retail Business, Others, Recipient of Goods or Services, Supplier of Services",
                    "detailedAddress": "XXXXXXX",
                    "email": "[email protected]",
                    "lastUpdatedDate": "NA",
                    "mobileNo": 9999999999,
                    "registeredAddress": "XXXXXX"
                }
            ],
            "primaryBusinessAddress": {
                "businessNature": "Retail Business, Supplier of Services, Recipient of Goods or Services, Office / Sale Office, Others",
                "detailedAddress": "XXXXXXX",
                "email": "[email protected]",
                "lastUpdatedDate": "NA",
                "mobileNo": 9999999999,
                "registeredAddress": "XXXXXXXX"
            },
            "registerCancellationDate": "",
            "registerDate": "30/09/2017",
            "stateJurisdiction": "State - XXXXX,Zone - XXX Zone-A,Unit - XXXXXXX",
            "taxPayerType": "Regular",
            "tradeName": "ABC XYZ Limited",
            "grossTotalIncome": "Not Available",
            "grossTotalIncomeFinancialYear": "2019-2020"
        },
        "pool": {
            "referenceId": "1000987654321EZFJY",
            "openingBalance": "98183.70",
            "paymentAmount": "0.00",
            "mode": "DR",
            "closingBalance": "98183.70"
        }
    },
    "timestamp": "2023-10-03 15:54:32",
    "ipay_uuid": "h0009a47bac8-XXXX-XXXX-XXXX-bff727037999-tLsgSaCua6Xz",
    "orderid": "1000987654321EZFJY",
    "environment": "SANDBOX",
    "internalCode": null
}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json